# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::Editor Class Reference

KTextEditor::Editor This is just the dumb version of a KTextEditor::Document + View Usage: Load it, merge it's gui + be happy Extensibility: Use the KTextEditor::Document/View classes if you want advanced features, interfaces, ..., this class ist just a good edit widget replacement for apps which just need any kind of embedded edtor and don't care about using doc/view + interfaces. More...

`#include <editor.h>`

Inheritance diagram for KTextEditor::Editor:

[legend]
Collaboration diagram for KTextEditor::Editor:

[legend]
List of all members.

## Public Member Functions

| Editor (QObject *parent=0, const char *name=0)
| Create a new editor widget.
unsigned int | editorNumber () const

## Friends

class | PrivateEditor

## Detailed Description

KTextEditor::Editor This is just the dumb version of a KTextEditor::Document + View Usage: Load it, merge it's gui + be happy Extensibility: Use the KTextEditor::Document/View classes if you want advanced features, interfaces, ..., this class ist just a good edit widget replacement for apps which just need any kind of embedded edtor and don't care about using doc/view + interfaces.

Definition at line 37 of file editor.h.

## Constructor & Destructor Documentation

Editor::Editor | ( | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

| Create a new editor widget. Definition at line 193 of file ktexteditor.cpp. References KStdAccel::name().

The documentation for this class was generated from the following files:

- editor.h
- ktexteditor.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001